import { PropsWithChildren } from 'react';
import { IModalFormProps, IUseModalFormProps } from '../../modal/ModalForm';
import { IFormProps } from '../../form/Form';
export interface IUpdateProps<Values, Data> extends IFormProps<Values, Data> {
    modal?: Omit<IModalFormProps<Values, Data>, 'form'> & IUseModalFormProps<Values, Data>;
}
export declare function Update<Values, Data>({ modal: modalProps, children, ...formProps }: PropsWithChildren<IUpdateProps<Values, Data>>): JSX.Element;
